<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: cfd_gmg_func.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_84f42f204b822dde8cb4d8a231b19254.html">cfd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">cfd_gmg_func.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacecfd__gmg__func"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__gmg__func.html">cfd_gmg_func</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a2baa6d762ba862e3ffb4ea82dd8f9cbd"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__gmg__func.html#a2baa6d762ba862e3ffb4ea82dd8f9cbd">cfd_gmg_func::gmg_allocate_matrix</a> (cfd)</td></tr>
<tr class="separator:a2baa6d762ba862e3ffb4ea82dd8f9cbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbe21f336ea4b0fbacb1fcd9ddab0f21"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__gmg__func.html#abbe21f336ea4b0fbacb1fcd9ddab0f21">cfd_gmg_func::gmg_build_matrix</a> (cfd, temporal_const, ONLY_RHS)</td></tr>
<tr class="separator:abbe21f336ea4b0fbacb1fcd9ddab0f21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7ebaeaa1f05e4ca63c8e36033996c82"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cfd__gmg__func_8f90.html#aa7ebaeaa1f05e4ca63c8e36033996c82">enforce_neumann_implicit</a> (scalar, i_bSC)</td></tr>
<tr class="separator:aa7ebaeaa1f05e4ca63c8e36033996c82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a090278fcfa3fdab41067a3b76883f312"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cfd__gmg__func_8f90.html#a090278fcfa3fdab41067a3b76883f312">rhs_for_all</a> ()</td></tr>
<tr class="separator:a090278fcfa3fdab41067a3b76883f312"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c10a403fd43c54521d59917f8e42d96"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cfd__gmg__func_8f90.html#a3c10a403fd43c54521d59917f8e42d96">rhs_x_from_conv_diff</a> (RHS, SC)</td></tr>
<tr class="separator:a3c10a403fd43c54521d59917f8e42d96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ca955e2f1e1a11e6c18903187a8af2b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cfd__gmg__func_8f90.html#a2ca955e2f1e1a11e6c18903187a8af2b">build_for_rho</a> ()</td></tr>
<tr class="separator:a2ca955e2f1e1a11e6c18903187a8af2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f86d9745977d29f04aad43aaa0b8430"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cfd__gmg__func_8f90.html#a2f86d9745977d29f04aad43aaa0b8430">build_for_others</a> ()</td></tr>
<tr class="separator:a2f86d9745977d29f04aad43aaa0b8430"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af20c6dfa2ef418e1673e86d1c74f9528"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cfd__gmg__func_8f90.html#af20c6dfa2ef418e1673e86d1c74f9528">build_conv_coeff</a> ()</td></tr>
<tr class="separator:af20c6dfa2ef418e1673e86d1c74f9528"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72f8f8ba3360ffa1ff2e6fc541efb4ad"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__gmg__func.html#a72f8f8ba3360ffa1ff2e6fc541efb4ad">cfd_gmg_func::gmg_upwind_weight</a> (cfd)</td></tr>
<tr class="separator:a72f8f8ba3360ffa1ff2e6fc541efb4ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67ca981526267c943654f1aea1e5dc42"><td class="memItemLeft" align="right" valign="top">real(wp) function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cfd__gmg__func_8f90.html#a67ca981526267c943654f1aea1e5dc42">upwind_weight_min</a> (delta_ratio)</td></tr>
<tr class="separator:a67ca981526267c943654f1aea1e5dc42"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="af20c6dfa2ef418e1673e86d1c74f9528"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af20c6dfa2ef418e1673e86d1c74f9528">&#9670;&nbsp;</a></span>build_conv_coeff()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine gmg_build_matrix::build_conv_coeff </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__gmg__func_8f90_af20c6dfa2ef418e1673e86d1c74f9528_icgraph.png" border="0" usemap="#cfd__gmg__func_8f90_af20c6dfa2ef418e1673e86d1c74f9528_icgraph" alt=""/></div>
<map name="cfd__gmg__func_8f90_af20c6dfa2ef418e1673e86d1c74f9528_icgraph" id="cfd__gmg__func_8f90_af20c6dfa2ef418e1673e86d1c74f9528_icgraph">
<area shape="rect" id="node2" href="cfd__gmg__func_8f90.html#a2f86d9745977d29f04aad43aaa0b8430" title="build_for_others" alt="" coords="173,46,288,73"/>
<area shape="rect" id="node3" href="namespacecfd__gmg__func.html#abbe21f336ea4b0fbacb1fcd9ddab0f21" title="cfd_gmg_func::gmg_build\l_matrix" alt="" coords="336,39,507,80"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="555,39,755,80"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="803,5,981,47"/>
<area shape="rect" id="node6" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="816,71,968,112"/>
</map>
</div>

</div>
</div>
<a id="a2f86d9745977d29f04aad43aaa0b8430"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f86d9745977d29f04aad43aaa0b8430">&#9670;&nbsp;</a></span>build_for_others()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine gmg_build_matrix::build_for_others </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="cfd__gmg__func_8f90.html#af20c6dfa2ef418e1673e86d1c74f9528">build_conv_coeff()</a>.</p>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__gmg__func_8f90_a2f86d9745977d29f04aad43aaa0b8430_cgraph.png" border="0" usemap="#cfd__gmg__func_8f90_a2f86d9745977d29f04aad43aaa0b8430_cgraph" alt=""/></div>
<map name="cfd__gmg__func_8f90_a2f86d9745977d29f04aad43aaa0b8430_cgraph" id="cfd__gmg__func_8f90_a2f86d9745977d29f04aad43aaa0b8430_cgraph">
<area shape="rect" id="node2" href="cfd__gmg__func_8f90.html#af20c6dfa2ef418e1673e86d1c74f9528" title="build_conv_coeff" alt="" coords="168,5,288,32"/>
</map>
</div>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__gmg__func_8f90_a2f86d9745977d29f04aad43aaa0b8430_icgraph.png" border="0" usemap="#cfd__gmg__func_8f90_a2f86d9745977d29f04aad43aaa0b8430_icgraph" alt=""/></div>
<map name="cfd__gmg__func_8f90_a2f86d9745977d29f04aad43aaa0b8430_icgraph" id="cfd__gmg__func_8f90_a2f86d9745977d29f04aad43aaa0b8430_icgraph">
<area shape="rect" id="node2" href="namespacecfd__gmg__func.html#abbe21f336ea4b0fbacb1fcd9ddab0f21" title="cfd_gmg_func::gmg_build\l_matrix" alt="" coords="168,39,339,80"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="387,39,587,80"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="635,5,813,47"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="648,71,800,112"/>
</map>
</div>

</div>
</div>
<a id="a2ca955e2f1e1a11e6c18903187a8af2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ca955e2f1e1a11e6c18903187a8af2b">&#9670;&nbsp;</a></span>build_for_rho()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine gmg_build_matrix::build_for_rho </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__gmg__func_8f90_a2ca955e2f1e1a11e6c18903187a8af2b_icgraph.png" border="0" usemap="#cfd__gmg__func_8f90_a2ca955e2f1e1a11e6c18903187a8af2b_icgraph" alt=""/></div>
<map name="cfd__gmg__func_8f90_a2ca955e2f1e1a11e6c18903187a8af2b_icgraph" id="cfd__gmg__func_8f90_a2ca955e2f1e1a11e6c18903187a8af2b_icgraph">
<area shape="rect" id="node2" href="namespacecfd__gmg__func.html#abbe21f336ea4b0fbacb1fcd9ddab0f21" title="cfd_gmg_func::gmg_build\l_matrix" alt="" coords="149,39,320,80"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="368,39,568,80"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="616,5,795,47"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="629,71,781,112"/>
</map>
</div>

</div>
</div>
<a id="aa7ebaeaa1f05e4ca63c8e36033996c82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7ebaeaa1f05e4ca63c8e36033996c82">&#9670;&nbsp;</a></span>enforce_neumann_implicit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine gmg_build_matrix::enforce_neumann_implicit </td>
          <td>(</td>
          <td class="paramtype">type(scalar_), intent(in)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>i_bSC</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__gmg__func_8f90_aa7ebaeaa1f05e4ca63c8e36033996c82_icgraph.png" border="0" usemap="#cfd__gmg__func_8f90_aa7ebaeaa1f05e4ca63c8e36033996c82_icgraph" alt=""/></div>
<map name="cfd__gmg__func_8f90_aa7ebaeaa1f05e4ca63c8e36033996c82_icgraph" id="cfd__gmg__func_8f90_aa7ebaeaa1f05e4ca63c8e36033996c82_icgraph">
<area shape="rect" id="node2" href="namespacecfd__gmg__func.html#abbe21f336ea4b0fbacb1fcd9ddab0f21" title="cfd_gmg_func::gmg_build\l_matrix" alt="" coords="227,39,397,80"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="445,39,645,80"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="693,5,872,47"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="707,71,859,112"/>
</map>
</div>

</div>
</div>
<a id="a090278fcfa3fdab41067a3b76883f312"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a090278fcfa3fdab41067a3b76883f312">&#9670;&nbsp;</a></span>rhs_for_all()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine gmg_build_matrix::rhs_for_all </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="cfd__gmg__func_8f90.html#a3c10a403fd43c54521d59917f8e42d96">rhs_x_from_conv_diff()</a>.</p>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__gmg__func_8f90_a090278fcfa3fdab41067a3b76883f312_cgraph.png" border="0" usemap="#cfd__gmg__func_8f90_a090278fcfa3fdab41067a3b76883f312_cgraph" alt=""/></div>
<map name="cfd__gmg__func_8f90_a090278fcfa3fdab41067a3b76883f312_cgraph" id="cfd__gmg__func_8f90_a090278fcfa3fdab41067a3b76883f312_cgraph">
<area shape="rect" id="node2" href="cfd__gmg__func_8f90.html#a3c10a403fd43c54521d59917f8e42d96" title="rhs_x_from_conv_diff" alt="" coords="136,5,283,32"/>
</map>
</div>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__gmg__func_8f90_a090278fcfa3fdab41067a3b76883f312_icgraph.png" border="0" usemap="#cfd__gmg__func_8f90_a090278fcfa3fdab41067a3b76883f312_icgraph" alt=""/></div>
<map name="cfd__gmg__func_8f90_a090278fcfa3fdab41067a3b76883f312_icgraph" id="cfd__gmg__func_8f90_a090278fcfa3fdab41067a3b76883f312_icgraph">
<area shape="rect" id="node2" href="namespacecfd__gmg__func.html#abbe21f336ea4b0fbacb1fcd9ddab0f21" title="cfd_gmg_func::gmg_build\l_matrix" alt="" coords="136,39,307,80"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="355,39,555,80"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="603,5,781,47"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="616,71,768,112"/>
</map>
</div>

</div>
</div>
<a id="a3c10a403fd43c54521d59917f8e42d96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c10a403fd43c54521d59917f8e42d96">&#9670;&nbsp;</a></span>rhs_x_from_conv_diff()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine gmg_build_matrix::rhs_x_from_conv_diff </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(inout)&#160;</td>
          <td class="paramname"><em>RHS</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(-1:1), intent(in)&#160;</td>
          <td class="paramname"><em>SC</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__gmg__func_8f90_a3c10a403fd43c54521d59917f8e42d96_icgraph.png" border="0" usemap="#cfd__gmg__func_8f90_a3c10a403fd43c54521d59917f8e42d96_icgraph" alt=""/></div>
<map name="cfd__gmg__func_8f90_a3c10a403fd43c54521d59917f8e42d96_icgraph" id="cfd__gmg__func_8f90_a3c10a403fd43c54521d59917f8e42d96_icgraph">
<area shape="rect" id="node2" href="cfd__gmg__func_8f90.html#a090278fcfa3fdab41067a3b76883f312" title="rhs_for_all" alt="" coords="200,46,283,73"/>
<area shape="rect" id="node3" href="namespacecfd__gmg__func.html#abbe21f336ea4b0fbacb1fcd9ddab0f21" title="cfd_gmg_func::gmg_build\l_matrix" alt="" coords="331,39,501,80"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="549,39,749,80"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="797,5,976,47"/>
<area shape="rect" id="node6" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="811,71,963,112"/>
</map>
</div>

</div>
</div>
<a id="a67ca981526267c943654f1aea1e5dc42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67ca981526267c943654f1aea1e5dc42">&#9670;&nbsp;</a></span>upwind_weight_min()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) function gmg_upwind_weight::upwind_weight_min </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>delta_ratio</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="cfd__gmg__func_8f90_a67ca981526267c943654f1aea1e5dc42_icgraph.png" border="0" usemap="#cfd__gmg__func_8f90_a67ca981526267c943654f1aea1e5dc42_icgraph" alt=""/></div>
<map name="cfd__gmg__func_8f90_a67ca981526267c943654f1aea1e5dc42_icgraph" id="cfd__gmg__func_8f90_a67ca981526267c943654f1aea1e5dc42_icgraph">
<area shape="rect" id="node2" href="namespacecfd__gmg__func.html#a72f8f8ba3360ffa1ff2e6fc541efb4ad" title="cfd_gmg_func::gmg_upwind\l_weight" alt="" coords="189,39,375,80"/>
<area shape="rect" id="node3" href="namespacecfd__gmg__func.html#abbe21f336ea4b0fbacb1fcd9ddab0f21" title="cfd_gmg_func::gmg_build\l_matrix" alt="" coords="423,39,593,80"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="641,39,841,80"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="889,5,1068,47"/>
<area shape="rect" id="node6" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="903,71,1055,112"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:48 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
